Download it now!
Bug 123530 - Gallery images cannot be inserted in KDE5
Summary: Gallery images cannot be inserted in KDE5
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.2.1.1 rc
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard:
Keywords: regression
: 123884 (view as bug list)
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2019-02-17 20:42 UTC by karsten.henning
Modified: 2019-03-07 12:04 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description karsten.henning 2019-02-17 20:42:59 UTC
Description:
all gallery themes are affected; selecting and inserting a picture is not possible; no pictures will be inserted

Steps to Reproduce:
1. Open a new draw document
2. open the gallery in the right menu
3. drag any picture out of any themes with left mouse-bottum
4. drop the picture on the file 

Actual Results:
nothing, no picture are droped     

Expected Results:
the selected picture was droped


Reproducible: Always


User Profile Reset: Yes



Additional Info:
it works fine in LO 6.1.4.1
Comment 1 V Stuart Foote 2019-02-18 02:37:04 UTC
Can not reproduce on Windows 10 Home en-US 64-bit (1809) with
Version: 6.3.0.0.alpha0+ (x64)
Build ID: 9712dd74bfb0c9b99cab37bd147fe267b48c6d7d
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-02-17_22:47:09
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

graphics selected in the gallery and dragged onto Draw canvas are placed with no issue.
Comment 2 karsten.henning 2019-02-18 18:33:55 UTC
This are the parameters of my environment:

Version: 6.2.1.1
Build-ID: 757c58e8cb70b2982843211a54750fb3cd79acd5
CPU-Threads: 4; BS: Linux 4.15; UI-Render: Standard; VCL: kde5; 
Gebietsschema: de-DE (de_DE.UTF-8); UI-Sprache: de-DE
Calc: threaded
Comment 3 karsten.henning 2019-02-18 18:36:28 UTC
It works fine on MS-Windows 7 with the same release 6.2.1.1!
Comment 4 Hiromi Kuramoto 2019-02-19 06:43:28 UTC
I can't confirm in my environment

with:
Version: 6.2.0.2
Build ID: 2ce5217b30a543f7666022df50f0562f82be0cff
CPU threads: 4; OS: Mac OS X 10.12.5; UI render: default; VCL: osx; 
Locale: en-US (ja_JP.UTF-8); UI-Language: en-US
Calc: threaded
Comment 5 raal 2019-02-19 21:44:30 UTC
no repro with Version: 6.3.0.0.alpha0+
Build ID: 465939feb0e9c382e5581b53b72008979ece4807
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3;
Comment 6 karsten.henning 2019-03-03 10:51:10 UTC
I can reproduce it!

Version: 6.3.0.0.alpha0+
Build-ID: d4e3b48ee4c32bdb4e6cc37fb618cf818e152c31
CPU-Threads: 4; BS: Linux 4.15; UI-Render: Standard; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-03-02_23:38:22
Gebietsschema: de-DE (de_DE.UTF-8); UI-Sprache: de-DE
Comment 7 V Stuart Foote 2019-03-03 13:58:55 UTC
Regression per comment 0
Comment 8 Katarina Behrens (Inactive) 2019-03-04 14:42:52 UTC
I broke internal DnD with https://gerrit.libreoffice.org/plugins/gitiles/core/+/67b0fcea9d748c4dd8101036cbb2c587d65f0bf7 so confirmed
Comment 9 Katarina Behrens (Inactive) 2019-03-04 14:44:11 UTC
and I fixed it again with https://gerrit.libreoffice.org/plugins/gitiles/core/+/14dca9a2197f1b43bf547ee47517e76e58309b93%5E%21 

unfortunately found this report too late and thus didn't include bug ID into commit msg
Comment 10 Katarina Behrens (Inactive) 2019-03-04 14:45:10 UTC
Please try daily, it should work by now (eventually we'll backport to 6.2)
Comment 11 Michael Weghorn 2019-03-04 15:54:29 UTC
Verified with

Version: 6.3.0.0.alpha0+
Build ID: 8643f6d64d387ebdb75b79db941d8ea1f8fa2f66
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded
Comment 12 Katarina Behrens (Inactive) 2019-03-07 12:04:01 UTC
*** Bug 123884 has been marked as a duplicate of this bug. ***